Subject: Re: bug#57044: 29.0.50; tramp-error: Reading directory: Permission denied, /scp:motorolausb:/storage/emulated/0/

From: Jean Louis <[email-masked]>
Date: Sat, 13 Aug 2022 08:20:19 +0300

I have followed instructions for debugging Tramp from (info "(tramp)
Traces and Profiles") and in the running Emacs there was no trace
buffer with `tramp-verbose' being 11. In general too many bugs are
taking place in running Emacs, which I cannot reproduce.

Then when I run `emacs -q' I have seen first I have to download
`outline' library for Tramp to work.

Attached you may file the *Backtrace* buffer, and *trace-output*
buffer.

In previous version of Emacs I could get the first directory shown,
but I could not enter any directory.

This time I do not get any directory, Tramp just complains on missing
`ls' command.

My `ls' command is inside of:
/data/data/com.termux/files/usr/bin/ls

And I have that directory in PATH, in general I did not change
anything. Since some weeks, I cannot use Tramp on devices at all, so I
use sshfs to mount ssh to work with it. I wish I could use Tramp again.

Find files attached.

My Tramp settings:

 '(tramp-connection-properties '(("ssh:motorola" "tmpdir" /storage/emulated/0/tmp)))
 '(tramp-remote-path
   '(tramp-default-remote-path "/data/data/com.termux/files/usr/bin/" "/bin" "/usr/bin" "/sbin" "/usr/sbin" "/usr/local/bin" "/usr/local/sbin" "/local/bin" "/local/freeware/bin" "/local/gnu/bin" "/usr/freeware/bin" "/usr/pkg/bin" "/usr/contrib/bin" "/opt/bin" "/opt/sbin" "/opt/local/bin"))
 '(tramp-remote-process-environment
   '("TMPDIR=/storage/emulated/0/tmp" "ENV=''" "TMOUT=0" "LC_CTYPE=''" "CDPATH=" "HISTORY=" "MAIL=" "MAILCHECK=" "MAILPATH=" "PAGER=cat" "autocorrect=" "correct="))

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/